Skip to main content
Get All Webhooks

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

nameFilter
string

Only return hooks with this name. Default NULL = no filter

eventFilter
string

Only return hooks responding to this event name. Default NULL = no filter

statusFilter
enum<string>

Only return hooks with this status. Default Unknown = no filter, returns all.

Available options:
Unknown,
Active,
Stopped,
TooManyErrors

Response

OK

WebhookId
integer<int32>

Primary Key. Unique id for this webhook.

Name
string

Name to identify this webhook. Does not have to be unique.

Events
string[]

Array of event names that trigger this webhook: ['contact.created', 'sale.changed']

TargetUrl
string

Destination to POST event info to. URL for webhooks. Id for CRM scripts

Secret
string

Shared secret key used for generating SHA256 HMAC signature, so that receiver can verify that call came from this server

State
enum<string>

Webhook status - should we post events to the URL? 1=Active, 2=Stopped or 3=TooManyErrors

Available options:
Unknown,
Active,
Stopped,
TooManyErrors
Type
string

Name of plugin that handles this webhook. 'webhook' for HTTP POST notifications, 'crmscript' for script invocations.

Headers
object

Custom HTTP Headers to add to webhook requests.

Properties
object

Custom values to inject into JSON body of webhook call.

Registered
string<date-time>

Registered when in UTC.

RegisteredAssociate
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

Updated
string<date-time>

Last updated when in UTC.

UpdatedAssociate
object

Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.

ErrorsEmail
string

Obsolete, use ErrorEmails instead

ErrorEmails
string[]

Email addresses to notify when this webhook is disabled.

ErrorAssociates
object[]

Associates to notify when this webhook is disabled.

Description
string

Human-readable description of what this webhook does.

NotifyVia
enum<string>

How to notify recipients when this webhook changes state. 1=Email, 2=InApp.

Available options:
None,
Email,
InApp
NotifyWhen
enum<string>

When to notify recipients. Bitflag: 1=FirstFailure, 2=Disabling.

Available options:
None,
FirstFailure,
Disabling
TotalCalls
integer<int32>

Number of times webhook has been invoked since registered. For statistical purposes.

TotalErrors
integer<int32>

Number of times webhook has returned error since registered. For statistical purposes.

ConsecutiveErrors
integer<int32>

Number of consecutive errors. Reset to 0 when an non-error is received. If too many errors, webhook.state is changed to TooManyErrors(3) to deactivate webhook.

LastError
string

Most recent error message received from target. HTTP Headers + body. To help with debugging webhooks.